[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Bug#890791: stretch-pu: package dpkg/1.18.25



Hi,

On Wed, 2018-02-28 at 16:05 +0100, Manuel A. Fernandez Montecelo wrote:
[..]
> 2018-02-18 22:26 Guillem Jover:
[...]
> > I'd like to update dpkg in stretch. This includes several fixes for
> > documentation, regressions, misbheavior, minor security issues, and
> > a new arch definition so that DAK can accept packages using it. The
> > fixes have been in sid/buster for a while now.
> 
> We depend on this version being accepted and installed in the systems
> where DAK lives to learn about the new architecture.  After that,
> several other packages can add support for the architecture, without
> receiving an automatic reject when uploaded.
> 
> It would be great if this update could enter in the next stable
> update, so we can make progress on that front.

We've been discussing this amongst the SRMs and are quite wary of a
dpkg update this close to the p-u freeze. We appreciate that the
changes individually seem self-contained but would like to have an
update of such a key package able to be tested more than is feasible in
the time available.

(On a related note, in practical terms it's very unlikely that there
would be sufficient time to get the new strings that are introduced 
translated.)

We understand that this is inconvenient for the riscv porters, so are
exploring whether it would be possible to have the dak support made
available via p-u after the upcoming point release.

Regards,

Adam


Reply to: